set(ARCHEUS_STD_NCURSES_CONSOLE_SOURCES
    packages/console/ncurses/element.c
    packages/console/ncurses/key.c
    packages/console/ncurses/view.c

    packages/console/ncurses/shell.c
    packages/console/ncurses/buffer.c
)

function(ncurses_check_and_init_needed _ARCHEUS_STD_FLAGS _ARCHEUS_STD_SOURCES ARCHEUS_STD_CONSOLE_BACKEND)
    #add matching files for the selected backends
    if(${ARCHEUS_STD_CONSOLE_BACKEND} STREQUAL "NCURSES")
        string(APPEND ${_ARCHEUS_STD_FLAGS} "-lncurses ")
        list(APPEND ${_ARCHEUS_STD_SOURCES} ${ARCHEUS_STD_NCURSES_CONSOLE_SOURCES})
    endif()

    set(${_ARCHEUS_STD_FLAGS} ${${_ARCHEUS_STD_FLAGS}} PARENT_SCOPE)
    set(${_ARCHEUS_STD_SOURCES} ${${_ARCHEUS_STD_SOURCES}} PARENT_SCOPE)
endfunction()
